CentOS Bug Tracker
CentOS Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000772CentOS-4Missing Componentpublic2005-01-25 01:022013-03-23 21:37
Reporteruser221 
PrioritylowSeverityminorReproducibilityalways
StatusclosedResolutionsuspended 
Platformx86OSCentOSOS Version
Product Versionunspecified 
Target VersionFixed in Version 
Summary0000772: Cannot mount USB HDD/ USB Flash Drive
Description1. Identify the drives only if they are plugged when computer start up.
2. Identified USB HDD in fstab, but failed to mount.
3. Mounted USB Flash drive, but subdirectory reported damaged. (Tried this one
on a M$ XP, no problem accessing the files at all.)

I can mount these USB drives using CentOS 3. Is there a weired change in
CentOS 4 beta about the mounting?
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0002354)
gunchev@gmail.com (reporter)
2005-02-10 16:46
edited on: 1970-01-01 00:00

    What vendor and model these devices are? Your report is almost useless
without these details, the developers can not guess. What do you get in
/var/log/messages (tail -f /var/log/messages before inserting the device), what
does lsusb say? I'll try my USB flash tomorow...
(0002355)
user221
2005-02-18 05:49
edited on: 1970-01-01 00:00

I used a SanDisk Cruzer Mini 128MB and I/O Magic GigaBank 2.2GB.
Reinstalled CentOS 3.4 right after that and it works fine so far.
I don't think the /var/log/messages and lsusb would tell any story about
CentOS 4 since I'm using 3.4 now.
(0002356)
user261
2005-02-25 19:37
edited on: 1970-01-01 00:00

It works fine for me. Here are the appropriate entries from /var/log/messages

----SNIP----
Feb 25 14:03:07 evolution kernel: usb 1-4: new high speed USB device using address 2
Feb 25 14:03:07 evolution kernel: SCSI subsystem initialized
Feb 25 14:03:07 evolution kernel: Initializing USB Mass Storage driver...
Feb 25 14:03:07 evolution kernel: scsi0 : SCSI emulation for USB Mass Storage
devices
Feb 25 14:03:07 evolution kernel: Vendor: LEXAR Model: JUMPDRIVE SECURE
Rev: 1000
Feb 25 14:03:07 evolution kernel: Type: Direct-Access
ANSI SCSI revision: 02
Feb 25 14:03:07 evolution kernel: usbcore: registered new driver usb-storage
Feb 25 14:03:07 evolution kernel: USB Mass Storage support registered.
Feb 25 14:03:07 evolution scsi.agent[2636]: disk at /devices/pci0000:00/0000:00:
1d.7/usb1/1-4/1-4:1.0/host0/target0:0:0/0:0:0:0
Feb 25 14:03:08 evolution kernel: SCSI device sda: 2030592 512-byte hdwr sectors
(1040 MB)
Feb 25 14:03:08 evolution kernel: sda: assuming drive cache: write through
Feb 25 14:03:08 evolution kernel: sda: sda1
Feb 25 14:03:08 evolution kernel: Attached scsi disk sda at scsi0, channel 0, id
0, lun 0
Feb 25 14:03:08 evolution fstab-sync[2675]: added mount point /media/LEXAR_MEDIA
for /dev/sda1
Feb 25 14:03:40 evolution kernel: SELinux: initialized (dev sda1, type vfat),
uses genfs_contexts

.....random log entries removed..

Feb 25 14:04:22 evolution kernel: usb 1-4: USB disconnect, address 2
Feb 25 14:04:22 evolution fstab-sync[2814]: removed mount point
/media/LEXAR_MEDIA for /dev/sda1

----END SNIP----
Browses files fine, writes to files on usb fine. This is using vfat filesystem.
Possibly the reporting user is using a proprietary filesystem?
(0002357)
kbsingh@karan.org (administrator)
2005-03-11 21:50
edited on: 1970-01-01 00:00

looking at ths issue ....
(0002358)
kbsingh@karan.org (administrator)
2005-03-12 01:44
edited on: 1970-01-01 00:00

i've tried an external usb hdd and a usb flash stick... both work for me
(0002824)
holdenhao (reporter)
2005-10-04 14:21
edited on: 2005-10-04 14:23

I experienced the same issue on CentOS 4.1 with a Sandisk Cruizer 512 MB flash disk. Whenever, the flashdisk is inserted to the USB port, no event is noted in /var/log/messages. /proc/bus/usb/devices does not have an entry for the flash disk as well.

By using trial and error, I was able to find a quick fix. I unloaded uhci_hcd module and reloaded it again. After doing the reload, the flash disk gets mounted automatically by hotplug and a nautilus icon for the disk appears on the desktop. Subsequent inserts also automounts.

I added "rmmod uhci_hcd" and "modprobe uhci_hcd" in /etc/rc.local

(0006454)
StuartGathman (reporter)
2007-12-04 05:21

I can confirm this problem. USB drives (IDE drives in USB enclosures used for backup) work in 7.3, 9, Centos-3, Centos-5.0 (haven't tested 5.1 yet), but not in Centos-4.4. I will be testing Centos-4.5 this week - and if it doesn't work, I'll have to migrate 7.3 systems to 5.x instead. This is frustrating because the Centos-4.4 LiveCD boots on a number of system where the Centos-5 LiveCD refuses to boot. But it is of no use if backups are on removable USB drives.
(0006455)
StuartGathman (reporter)
2007-12-04 05:26

In the case of Centos-4.4 LiveCD, the USB drive won't register in /proc/bus/usb/devices. When displaying usb/devices, the cat command hangs for several minutes, with usb errors (-71) appearing in messages. The drive is not present when it finishes. Same thing with both USB1.1 and USB2.0 adapters.
(0006498)
StuartGathman (reporter)
2007-12-06 20:11

I tested Centos-4.5, and it mounts USB drives with no problem. So it is only 4.4 that is broken. This would be minor if there was a Centos-4.5 LiveCD. In most cases, the CentOS-5.0 LiveCD can be used, but there are machines (e.g. Dell 440SC) where it won't boot.
(0011175)
h120 (reporter)
2010-04-28 00:23

I had what may be the same problem.

My 80GB USB (IDE?) drive FujitsuMHV2080AH in not recognised in Centos 5.4 2.6.28-164.el5.

When I connect my 80GB USD disk to Vista, it works as FAT and also as NTFS.

(dmesg | tail)
end_request: I/O error dev sdb sector 0
sd 4:0:0:0: SCSI error return code 0x10070000

(mount -t ntfs /dev/sdb /media/)
Error reading boot sector: I/O error .........................
Failed to mount '/dev/sdb': i/o error ...........
NTFS is either inconsistent or there is a hardware fault ............

The drive was freshly formatted in NTFS, has a few files on it.

It is annoying that Windoze can read and write to the USB drive but not Centos.

Regards,

Paul.
(0016961)
tigalch (developer)
2013-03-23 21:37

CentOS4 is EOL.

- Issue History
Date Modified Username Field Change
2005-02-18 00:59 JohnnyHughes Status NEW => ASSIGNED
2005-03-11 21:50 kbsingh@karan.org AssignedTo jhughes@hughesjr.com => kbsingh@karan.org
2005-03-11 21:50 kbsingh@karan.org Status ASSIGNED => NEW
2005-03-12 01:44 kbsingh@karan.org Status NEW => RESOLVED
2005-03-12 01:44 kbsingh@karan.org Resolution => WORKSFORME
2005-10-04 13:57 kbsingh@karan.org Status resolved => feedback
2005-10-04 13:57 kbsingh@karan.org Resolution unable to reproduce => reopened
2005-10-04 14:21 holdenhao Note Added: 0002824
2005-10-04 14:23 holdenhao Note Edited: 0002824
2007-12-04 05:21 StuartGathman Note Added: 0006454
2007-12-04 05:26 StuartGathman Note Added: 0006455
2007-12-06 20:11 StuartGathman Note Added: 0006498
2010-04-28 00:23 h120 Note Added: 0011175
2013-03-23 21:37 tigalch Note Added: 0016961
2013-03-23 21:37 tigalch Status feedback => closed
2013-03-23 21:37 tigalch Resolution reopened => suspended
2013-03-23 21:37 tigalch Fixed in Version --- =>


Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker